GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.shipmentprocessing.types.ServiceArea Class Reference

## Public Member Functions
List< ServiceInfo > | getService ()

## Protected Attributes
List< ServiceInfo > | service

## Detailed Description

Informations about used services

Java class for ServiceArea complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ServiceArea">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Service" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}ServiceInfo" maxOccurs="unbounded"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 39 of file gls_group/fpcs/v1/shipmentprocessing/types/ServiceArea.java.

## Member Function Documentation

## ◆ getService()

List<ServiceInfo> eu.gls_group.fpcs.v1.shipmentprocessing.types.ServiceArea.getService | ( |  | ) |

Gets the value of the service property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the service property.

For example, to add a new item, do as follows:

       getService().add(newItem);

Objects of the following type(s) are allowed in the list ServiceInfo

Definition at line 66 of file gls_group/fpcs/v1/shipmentprocessing/types/ServiceArea.java.

## Member Data Documentation

## ◆ service

List<ServiceInfo> eu.gls_group.fpcs.v1.shipmentprocessing.types.ServiceArea.service
| protected

Definition at line 42 of file gls_group/fpcs/v1/shipmentprocessing/types/ServiceArea.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/shipmentprocessing/types/ServiceArea.java